path: /build/build/i2c-tools-sys-apps-4.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - luet repo update && luet upgrade -y && luet cleanup && cp i2c-tools-4.3.ebuild
    /var/git/extra-kits/geaaru-kit/sys-apps/i2c-tools/ && cd /var/git/extra-kits/geaaru-kit/sys-apps/i2c-tools/
    && ebuild i2c-tools-4.3.ebuild digest
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 perl python python_targets_python3_9" emerge sys-apps/i2c-tools -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 perl python python_targets_python3_9" emerge -j ${JOBS} --nodeps sys-apps/i2c-tools
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/i2c-tools && luet-portage --dir /pkgdir/i2c-tools
    sys-apps/i2c-tools && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:64cc2647e7416b708a8374f6920441771c77d66fa4489d76044dc2ca7979ebd9
  package:
    name: i2c-tools
    version: "4.3"
    category: sys-apps
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - perl
    - python
    - python_targets_python3_9
    requires:
    - name: libmodbus
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: I2C tools for bus probing, chip dumping, EEPROM decoding, and more
    uri:
    - https://www.kernel.org/pub/software/utils/i2c-tools
    license: GPL-2
    buildtimestamp: 2023-10-25 16:14:56.435713227 +0000 UTC m=+134.540347529
    labels:
      DEPEND: '!<sys-apps/lm_sensors-3 python? ( python_targets_python3_7? ( dev-lang/python:3.7
        ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        )'
      IUSE: perl python static-libs python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: '!<sys-apps/lm_sensors-3 python? ( python_targets_python3_7? ( dev-lang/python:3.7
        ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        ) perl? ( dev-lang/perl )'
      emerge.packages: sys-apps/i2c-tools
      kit: geaaru-kit
      original.package.name: sys-apps/i2c-tools
      original.package.slot: "0"
      original.package.version: "4.3"
    treedir: /build/packages
  package_dir: /pkgdir/i2c-tools
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a6910b285f23a6cd23a0934fbe42738c8aa68527b9dd13915e0aa1e0ae6d5c4e
compressiontype: zstd
files:
- usr/bin/ddcmon
- usr/bin/decode-dimms
- usr/bin/decode-edid
- usr/bin/decode-vaio
- usr/include/i2c/smbus.h
- usr/lib/python3.9/site-packages/smbus-1.1-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/smbus.cpython-39-x86_64-linux-gnu.so
- usr/lib64/libi2c.so
- usr/lib64/libi2c.so.0
- usr/lib64/libi2c.so.0.1.1
- usr/sbin/eeprog
- usr/sbin/i2c-stub-from-dump
- usr/sbin/i2cdetect
- usr/sbin/i2cdump
- usr/sbin/i2cget
- usr/sbin/i2cset
- usr/sbin/i2ctransfer
- usr/share/doc/i2c-tools-4.3/CHANGES.bz2
- usr/share/doc/i2c-tools-4.3/README.bz2
- usr/share/doc/i2c-tools-4.3/py-smbus/README.bz2
- usr/share/man/man1/decode-dimms.1.bz2
- usr/share/man/man1/decode-vaio.1.bz2
- usr/share/man/man3/libi2c.3.bz2
- usr/share/man/man8/eeprog.8.bz2
- usr/share/man/man8/i2c-stub-from-dump.8.bz2
- usr/share/man/man8/i2cdetect.8.bz2
- usr/share/man/man8/i2cdump.8.bz2
- usr/share/man/man8/i2cget.8.bz2
- usr/share/man/man8/i2cset.8.bz2
- usr/share/man/man8/i2ctransfer.8.bz2
- var/db/pkg/sys-apps/i2c-tools-4.3/BDEPEND
- var/db/pkg/sys-apps/i2c-tools-4.3/BUILD_TIME
- var/db/pkg/sys-apps/i2c-tools-4.3/CATEGORY
- var/db/pkg/sys-apps/i2c-tools-4.3/CBUILD
- var/db/pkg/sys-apps/i2c-tools-4.3/CFLAGS
- var/db/pkg/sys-apps/i2c-tools-4.3/CHOST
- var/db/pkg/sys-apps/i2c-tools-4.3/CONTENTS
- var/db/pkg/sys-apps/i2c-tools-4.3/COUNTER
- var/db/pkg/sys-apps/i2c-tools-4.3/CXXFLAGS
- var/db/pkg/sys-apps/i2c-tools-4.3/DEFINED_PHASES
- var/db/pkg/sys-apps/i2c-tools-4.3/DESCRIPTION
- var/db/pkg/sys-apps/i2c-tools-4.3/EAPI
- var/db/pkg/sys-apps/i2c-tools-4.3/FEATURES
- var/db/pkg/sys-apps/i2c-tools-4.3/HOMEPAGE
- var/db/pkg/sys-apps/i2c-tools-4.3/INHERITED
- var/db/pkg/sys-apps/i2c-tools-4.3/IUSE
- var/db/pkg/sys-apps/i2c-tools-4.3/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/i2c-tools-4.3/KEYWORDS
- var/db/pkg/sys-apps/i2c-tools-4.3/LDFLAGS
- var/db/pkg/sys-apps/i2c-tools-4.3/LICENSE
- var/db/pkg/sys-apps/i2c-tools-4.3/NEEDED
- var/db/pkg/sys-apps/i2c-tools-4.3/PF
- var/db/pkg/sys-apps/i2c-tools-4.3/PROVIDES
- var/db/pkg/sys-apps/i2c-tools-4.3/RDEPEND
- var/db/pkg/sys-apps/i2c-tools-4.3/REQUIRES
- var/db/pkg/sys-apps/i2c-tools-4.3/SIZE
- var/db/pkg/sys-apps/i2c-tools-4.3/SLOT
- var/db/pkg/sys-apps/i2c-tools-4.3/USE
- var/db/pkg/sys-apps/i2c-tools-4.3/environment.bz2
- var/db/pkg/sys-apps/i2c-tools-4.3/i2c-tools-4.3.ebuild
- var/db/pkg/sys-apps/i2c-tools-4.3/repository
package_cacheimage: ""
runtime:
  name: i2c-tools
  version: "4.3"
  category: sys-apps
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - perl
  - python
  - python_targets_python3_9
  requires:
  - name: perl
    version: '>=0'
    category: dev-lang
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: I2C tools for bus probing, chip dumping, EEPROM decoding, and more
  uri:
  - https://www.kernel.org/pub/software/utils/i2c-tools
  license: GPL-2
  labels:
    DEPEND: '!<sys-apps/lm_sensors-3 python? ( python_targets_python3_7? ( dev-lang/python:3.7
      ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      )'
    IUSE: perl python static-libs python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: '!<sys-apps/lm_sensors-3 python? ( python_targets_python3_7? ( dev-lang/python:3.7
      ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python3_10? ( dev-lang/python:3.10 )
      >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      ) perl? ( dev-lang/perl )'
    emerge.packages: sys-apps/i2c-tools
    kit: geaaru-kit
    original.package.name: sys-apps/i2c-tools
    original.package.slot: "0"
    original.package.version: "4.3"
